﻿/* THIS IS THE CSS FOR ALL THE APPLICATION DECORATION */

html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
    padding-bottom: 20px;
    background-color: #e7f6e9;
    font-family: Arial, Helvetica, sans-serif, Verdana;
}

.bg-base {
    background-color: #cfedd4;
}

.border-3 {
    border-width: 3px;
    border-style: solid;
    border-color: #00bc8c;
}

/* FORMS */
.big-checkbox input[type="checkbox"] {
    width: 20px; /* ADJUST THE WIDTH AS NEEDED */
    height: 20px; /* ADJUST THE HEIGHT AS NEEDED */
    transform: scale(1.5); /* SCALE THE CHECKBOX */
    -webkit-transform: scale(1.5); /* FOR SAFARI */
}

.large-input {
    font-size: 1.25rem; /* INCREASE FONT SIZE */
    padding: 8px; /* INCREASE PADDING */
}

.suggestions-container {
    padding-left: 20px; /* ADJUST THE VALUE AS NEEDED */
    border: 1px solid #ccc;
    background-color: #fff;
    color: #21272E;
    max-height: 200px;
    overflow-y: auto;
}

.suggestions-container div {
    padding: 10px;
    cursor: pointer;
}

.suggestions-container div:hover {
    background-color: #f0f0f0;
}

/* TABLE */
.table {
    background-color: #cfedd4 !important;
    width: 100%;
}

    .table thead {
        background-color: #cfedd4 !important; /* HEADER COLOUR */
        color: white !important;
}

.table tbody tr {
    background-color: #cfedd4 !important; /* ROW COLOUR */
}

    .table tbody tr:hover {
        background-color: #e7f6e9 !important; /* HOVER EFFECT */
    }

/* OVERRIDE BOOTSTRAP TABLE-STRIPED */
.table.table-striped tbody tr:nth-of-type(odd) > * {
    background-color: #cfedd4 !important;
}

.table.table-striped tbody tr:nth-of-type(even) > * {
    background-color: #cfedd4 !important;
}

/* FOOTERS */
footer {
    padding-left: 20px;
    padding-top: 20px;
    padding-bottom: 20px;
    white-space: nowrap;
}
